- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Diff commits for a GitRepositoryLink.
HTTP request
GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:diffCommit
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink. |
Query parameters
| Parameters | |
|---|---|
baseSha |
Required. The base commit SHA or ref. |
headSha |
Required. The head commit SHA or ref. |
pathFilters[] |
Optional. Path patterns or exact paths to filter returned files. When |
Request body
The request body must be empty.
Response body
Response message for gitRepositoryLinks.diffCommit.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"files": [
{
object ( |
| Fields | |
|---|---|
files[] |
The file diff extracted from the unified diff. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.diffCommit
For more information, see the IAM documentation.